Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025272
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminorhave not tried2013-12-04 12:482014-01-22 17:30
ReporterjonalegriaesarteView Statuspublic 
Assigned Tomarvintm 
PrioritynormalResolutionfixedFixed in VersionRMP30
StatusclosedFix in branchFixed in SCM revisionc1557c1c2d75
ProjectionnoneETAnoneTarget VersionRMP31
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionRMP28SCM revision 
Review Assigned Tomalsasua
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025272: Zip code and postal are not mandatory when creating a customer, but mandatory when editing it

DescriptionZip code and postal are not mandatory when creating a customer, but mandatory when editing it
Steps To Reproduce- Create a new customer, without postal code
- Edit the same customer
- go to new/edit address
- You will see one record without name
- Open this record
- This record appears without data (no address, no Postal code, no city)
- Save it, changing the street
- Error message appears because these fields are mandatory
Proposed SolutionBased on the ERP these fields are not required.
- Address
- Postal code
- City

There is not reason to make this fields mandatory in POS

Proposed solution -> Don't make this fields mandatory in POS.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0025305 closedAugustoMauch Openbravo ERP Field Region is not mandatory in c_location table but using UI this field must be filled 

-  Notes
(0062712)
hgbot (developer)
2013-12-11 18:19

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: c1557c1c2d75f67a3c7554872aa0fe82d56a4506
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Dec 11 18:18:02 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/c1557c1c2d75f67a3c7554872aa0fe82d56a4506 [^]

fixed issue 25272: Not mandatory fields are not required in web pos when a location is created. Included the country into Web POS. CustomerAddrLoader.java has been formated correctly

---
M src/org/openbravo/retail/posterminal/CustomerAddrLoader.java
M src/org/openbravo/retail/posterminal/master/BPLocationProperties.java
M src/org/openbravo/retail/posterminal/master/BusinessPartnerProperties.java
M src/org/openbravo/retail/posterminal/term/TerminalProperties.java
M web/org.openbravo.retail.posterminal/js/data/datacustomersave.js
M web/org.openbravo.retail.posterminal/js/model/bplocation.js
M web/org.openbravo.retail.posterminal/js/model/businesspartner.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/subwindows/customeraddress/components/sharedcomponents.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/subwindows/customeraddress/customeraddrdetailview.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/subwindows/customeraddress/customeraddrsearch.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/subwindows/customeraddress/editcreatecustomeraddress.js
---
(0062718)
hgbot (developer)
2013-12-12 13:56

Repository: erp/pmods/org.openbravo.retail.posterminal.cirque
Changeset: c1557c1c2d75f67a3c7554872aa0fe82d56a4506
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Dec 11 18:18:02 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/c1557c1c2d75f67a3c7554872aa0fe82d56a4506 [^]

fixed issue 25272: Not mandatory fields are not required in web pos when a location is created. Included the country into Web POS. CustomerAddrLoader.java has been formated correctly

---
M src/org/openbravo/retail/posterminal/CustomerAddrLoader.java
M src/org/openbravo/retail/posterminal/master/BPLocationProperties.java
M src/org/openbravo/retail/posterminal/master/BusinessPartnerProperties.java
M src/org/openbravo/retail/posterminal/term/TerminalProperties.java
M web/org.openbravo.retail.posterminal/js/data/datacustomersave.js
M web/org.openbravo.retail.posterminal/js/model/bplocation.js
M web/org.openbravo.retail.posterminal/js/model/businesspartner.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/subwindows/customeraddress/components/sharedcomponents.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/subwindows/customeraddress/customeraddrdetailview.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/subwindows/customeraddress/customeraddrsearch.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/subwindows/customeraddress/editcreatecustomeraddress.js
---
(0062765)
hgbot (developer)
2013-12-18 09:54

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: eeb26406ba0eabb7c3edb955a5b162d645e7998e
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Dec 18 09:51:04 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/eeb26406ba0eabb7c3edb955a5b162d645e7998e [^]

related to issue 25272: add labels

---
M src-db/database/sourcedata/AD_MESSAGE.xml
---
(0062802)
hgbot (developer)
2013-12-19 11:19

Repository: erp/pmods/org.openbravo.retail.posterminal-warehouseselector
Changeset: c1557c1c2d75f67a3c7554872aa0fe82d56a4506
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Dec 11 18:18:02 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-warehouseselector/rev/c1557c1c2d75f67a3c7554872aa0fe82d56a4506 [^]

fixed issue 25272: Not mandatory fields are not required in web pos when a location is created. Included the country into Web POS. CustomerAddrLoader.java has been formated correctly

---
M src/org/openbravo/retail/posterminal/CustomerAddrLoader.java
M src/org/openbravo/retail/posterminal/master/BPLocationProperties.java
M src/org/openbravo/retail/posterminal/master/BusinessPartnerProperties.java
M src/org/openbravo/retail/posterminal/term/TerminalProperties.java
M web/org.openbravo.retail.posterminal/js/data/datacustomersave.js
M web/org.openbravo.retail.posterminal/js/model/bplocation.js
M web/org.openbravo.retail.posterminal/js/model/businesspartner.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/subwindows/customeraddress/components/sharedcomponents.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/subwindows/customeraddress/customeraddrdetailview.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/subwindows/customeraddress/customeraddrsearch.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/subwindows/customeraddress/editcreatecustomeraddress.js
---
(0062811)
hgbot (developer)
2013-12-19 11:20

Repository: erp/pmods/org.openbravo.retail.posterminal-warehouseselector
Changeset: eeb26406ba0eabb7c3edb955a5b162d645e7998e
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Dec 18 09:51:04 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-warehouseselector/rev/eeb26406ba0eabb7c3edb955a5b162d645e7998e [^]

related to issue 25272: add labels

---
M src-db/database/sourcedata/AD_MESSAGE.xml
---
(0062815)
malsasua (developer)
2013-12-19 11:53

verified
(0062937)
hgbot (developer)
2013-12-19 19:56

Repository: erp/pmods/org.openbravo.retail.posterminal.offline
Changeset: c1557c1c2d75f67a3c7554872aa0fe82d56a4506
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Dec 11 18:18:02 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.offline/rev/c1557c1c2d75f67a3c7554872aa0fe82d56a4506 [^]

fixed issue 25272: Not mandatory fields are not required in web pos when a location is created. Included the country into Web POS. CustomerAddrLoader.java has been formated correctly

---
M src/org/openbravo/retail/posterminal/CustomerAddrLoader.java
M src/org/openbravo/retail/posterminal/master/BPLocationProperties.java
M src/org/openbravo/retail/posterminal/master/BusinessPartnerProperties.java
M src/org/openbravo/retail/posterminal/term/TerminalProperties.java
M web/org.openbravo.retail.posterminal/js/data/datacustomersave.js
M web/org.openbravo.retail.posterminal/js/model/bplocation.js
M web/org.openbravo.retail.posterminal/js/model/businesspartner.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/subwindows/customeraddress/components/sharedcomponents.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/subwindows/customeraddress/customeraddrdetailview.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/subwindows/customeraddress/customeraddrsearch.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/subwindows/customeraddress/editcreatecustomeraddress.js
---
(0062946)
hgbot (developer)
2013-12-19 19:57

Repository: erp/pmods/org.openbravo.retail.posterminal.offline
Changeset: eeb26406ba0eabb7c3edb955a5b162d645e7998e
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Dec 18 09:51:04 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.offline/rev/eeb26406ba0eabb7c3edb955a5b162d645e7998e [^]

related to issue 25272: add labels

---
M src-db/database/sourcedata/AD_MESSAGE.xml
---
(0062979)
guilleaer (developer)
2013-12-20 13:13

reclosed
(0063184)
hgbot (developer)
2014-01-02 12:50

Repository: erp/pmods/org.openbravo.retail.posterminal.cirque
Changeset: eeb26406ba0eabb7c3edb955a5b162d645e7998e
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Dec 18 09:51:04 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/eeb26406ba0eabb7c3edb955a5b162d645e7998e [^]

related to issue 25272: add labels

---
M src-db/database/sourcedata/AD_MESSAGE.xml
---
(0063236)
hgbot (developer)
2014-01-07 15:38

Repository: erp/pmods/org.openbravo.retail.posterminal-splitlines
Changeset: c1557c1c2d75f67a3c7554872aa0fe82d56a4506
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Dec 11 18:18:02 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/c1557c1c2d75f67a3c7554872aa0fe82d56a4506 [^]

fixed issue 25272: Not mandatory fields are not required in web pos when a location is created. Included the country into Web POS. CustomerAddrLoader.java has been formated correctly

---
M src/org/openbravo/retail/posterminal/CustomerAddrLoader.java
M src/org/openbravo/retail/posterminal/master/BPLocationProperties.java
M src/org/openbravo/retail/posterminal/master/BusinessPartnerProperties.java
M src/org/openbravo/retail/posterminal/term/TerminalProperties.java
M web/org.openbravo.retail.posterminal/js/data/datacustomersave.js
M web/org.openbravo.retail.posterminal/js/model/bplocation.js
M web/org.openbravo.retail.posterminal/js/model/businesspartner.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/subwindows/customeraddress/components/sharedcomponents.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/subwindows/customeraddress/customeraddrdetailview.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/subwindows/customeraddress/customeraddrsearch.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/subwindows/customeraddress/editcreatecustomeraddress.js
---
(0063245)
hgbot (developer)
2014-01-07 15:39

Repository: erp/pmods/org.openbravo.retail.posterminal-splitlines
Changeset: eeb26406ba0eabb7c3edb955a5b162d645e7998e
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Dec 18 09:51:04 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/eeb26406ba0eabb7c3edb955a5b162d645e7998e [^]

related to issue 25272: add labels

---
M src-db/database/sourcedata/AD_MESSAGE.xml
---
(0063614)
guilleaer (developer)
2014-01-22 17:30

reclosing issues

- Issue History
Date Modified Username Field Change
2013-12-04 12:48 jonalegriaesarte New Issue
2013-12-04 12:48 jonalegriaesarte Assigned To => marvintm
2013-12-04 12:48 jonalegriaesarte Triggers an Emergency Pack => No
2013-12-11 11:13 guilleaer Steps to Reproduce Updated View Revisions
2013-12-11 11:51 guilleaer Proposed Solution updated
2013-12-11 12:50 guilleaer Relationship added related to 0025305
2013-12-11 18:19 hgbot Checkin
2013-12-11 18:19 hgbot Note Added: 0062712
2013-12-11 18:19 hgbot Status new => resolved
2013-12-11 18:19 hgbot Resolution open => fixed
2013-12-11 18:19 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/c1557c1c2d75f67a3c7554872aa0fe82d56a4506 [^]
2013-12-12 13:56 hgbot Checkin
2013-12-12 13:56 hgbot Note Added: 0062718
2013-12-12 13:56 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/c1557c1c2d75f67a3c7554872aa0fe82d56a4506 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/c1557c1c2d75f67a3c7554872aa0fe82d56a4506 [^]
2013-12-18 09:54 hgbot Checkin
2013-12-18 09:54 hgbot Note Added: 0062765
2013-12-19 11:19 hgbot Checkin
2013-12-19 11:19 hgbot Note Added: 0062802
2013-12-19 11:19 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/c1557c1c2d75f67a3c7554872aa0fe82d56a4506 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-warehouseselector/rev/c1557c1c2d75f67a3c7554872aa0fe82d56a4506 [^]
2013-12-19 11:20 hgbot Checkin
2013-12-19 11:20 hgbot Note Added: 0062811
2013-12-19 11:53 malsasua Review Assigned To => malsasua
2013-12-19 11:53 malsasua Note Added: 0062815
2013-12-19 11:53 malsasua Status resolved => closed
2013-12-19 11:53 malsasua Fixed in Version => RMP30
2013-12-19 19:56 hgbot Checkin
2013-12-19 19:56 hgbot Note Added: 0062937
2013-12-19 19:56 hgbot Status closed => resolved
2013-12-19 19:56 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-warehouseselector/rev/c1557c1c2d75f67a3c7554872aa0fe82d56a4506 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.offline/rev/c1557c1c2d75f67a3c7554872aa0fe82d56a4506 [^]
2013-12-19 19:57 hgbot Checkin
2013-12-19 19:57 hgbot Note Added: 0062946
2013-12-20 13:13 guilleaer Note Added: 0062979
2013-12-20 13:13 guilleaer Status resolved => closed
2014-01-02 12:50 hgbot Checkin
2014-01-02 12:50 hgbot Note Added: 0063184
2014-01-07 15:38 hgbot Checkin
2014-01-07 15:38 hgbot Note Added: 0063236
2014-01-07 15:38 hgbot Status closed => resolved
2014-01-07 15:38 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.offline/rev/c1557c1c2d75f67a3c7554872aa0fe82d56a4506 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/c1557c1c2d75f67a3c7554872aa0fe82d56a4506 [^]
2014-01-07 15:39 hgbot Checkin
2014-01-07 15:39 hgbot Note Added: 0063245
2014-01-22 17:30 guilleaer Note Added: 0063614
2014-01-22 17:30 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker